#include <bits/stdc++.h>
using namespace std;
int n, m[100000], s, ans;
int main()
{
    bool ok=false;
    cin>>n;
    int prenos[50000], prenos1[50000];
    for (int i=0; i<n; i++)
    {
        m[i]=i+1;
    }
    int j=2, k=0;
    s=n;
    for (int i=0; i<s; i++)
    {
        prenos[k]=m[i];
        prenos1[k]=m[i];
        k++;
    }
    k=1;
    while(!ok)
    {
        for (int i=1; i<s; i++)
        {
            if (i%j==0)
            {
                prenos[k]=prenos1[i];
                k++;
            }
        }
        s=k;
        k=1;
        for (int i=1; i<s; i++)
        {
            prenos1[i]=prenos[i];
        }
        j++;
        if (s<j)
        {
            ok=true;
            ans=prenos[s-1];
        }
    }
    cout<<ans;
    return 0;
}